Album: We can always go home.
Date: April 12, 2019
Date Added: April 13, 2024
URLs:
- https://goobea.bandcamp.com/album/we-can-always-go-home
Artists:
- Beatrice
Cover Artists:
- Beatrice
Cover Art File Extension: png
Wallpaper File Extension: png
Wallpaper Style: 'opacity: 0.6;'
Wallpaper Artists:
- Beatrice
- Niklink (edits for wiki)
Color: '#6DC6F2'
Groups:
- Fandom
Commentary: |-
    <i>Beatrice:</i> ([Bandcamp about blurb](https://goobea.bandcamp.com/album/we-can-always-go-home))

    An album dedicated to four children and the homes they've been stuck in for ten years.
---
Track: Home Together
Duration: '01:30'
URLs:
- https://goobea.bandcamp.com/track/home-together
---
Track: Of Neighbourhoods, Blue
Color: '#5c66e8'
Duration: '01:19'
URLs:
- https://goobea.bandcamp.com/track/of-neighbourhoods-blue
---
Track: Of Laboratories, Violet
Color: '#b536da'
Duration: '02:06'
URLs:
- https://goobea.bandcamp.com/track/of-laboratories-violet
---
Track: Of Appartments, Red
Color: '#e00707'
Duration: '01:36'
Referenced Tracks:
- track:beatdown-strider-style
URLs:
- https://goobea.bandcamp.com/track/of-appartments-red
---
Track: Of Islands, Green
Color: '#4ac925'
Duration: '01:31'
URLs:
- https://goobea.bandcamp.com/track/of-islands-green
---
Track: Homesick
Duration: '01:32'
Referenced Tracks:
- track:showtime-piano-refrain
URLs:
- https://goobea.bandcamp.com/track/homesick
